/**
 * DeliveryAddressLine.java
 *
 * File generated from the medication::DeliveryAddressLine uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration DeliveryAddressLine.
 *
 * 
 */

@XmlType(name = "DeliveryAddressLine")
@XmlEnum
@XmlRootElement(name = "DeliveryAddressLine")
public enum DeliveryAddressLine {
	@XmlEnumValue("DAL")
	DAL("DAL"),
	@XmlEnumValue("DINST")
	DINST("DINST"),
	@XmlEnumValue("DINSTA")
	DINSTA("DINSTA"),
	@XmlEnumValue("DINSTQ")
	DINSTQ("DINSTQ"),
	@XmlEnumValue("DMOD")
	DMOD("DMOD"),
	@XmlEnumValue("DMODID")
	DMODID("DMODID");
	
	private final String value;

    DeliveryAddressLine(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static DeliveryAddressLine fromValue(String v) {
        for (DeliveryAddressLine c: DeliveryAddressLine.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}